# Wildcat
Wildcat is a cli tool for accelerating webpack dev server of Bobcat. It is achieved by the following but not all methods:
- webpack 4
- es2018 code output 
- a low cost source map config: `cheap-cheap-module-eval-source-map`

Others like Babel 7 and disabling backend log, even HMR will be considered in future development.

Any ideas of optimization and new features are invited. A merge request would even be better.
## Installation
```
$ npm i -g git+https://cd.i.strikingly.com/jason.zhou/wildcat.git
```
## Usage
1. run
```
wildcat run
```
The command that does the trick.
![wildcat run](assets/run-example.png)
1. restore
```
wildcat restore
```
This command will restore the previous config and code files. It should be convenient for you to push codes after development. Obviously you don't want to push the altered codes together with yours.
